from django.contrib import admin

from .models import User


@admin.register(User)
class UserAdmin(admin.ModelAdmin):
    list_display = ('email', 'role', 'full_name', 'phone', 'telegram', 'balance')

    def get_queryset(self, request):
        return User.objects.with_base_related()


